<?php
mt_srand();
$index = mt_rand(1, 9999);
$theme = isset($_GET['theme']) ? $_GET['theme'] : $tpl['option_arr']['o_theme'];
?>
<div id="pjWrapperTicketSupport_<?php echo $theme;?>">
	<div id="pjTsContainer_<?php echo $index; ?>" class="pjTsContainer"></div>
</div><!-- /#pjWrapper -->
<script type="text/javascript">
var pjQ = pjQ || {},
	TicketSupport_<?php echo $index; ?>;
(function () {
	"use strict";
	var isSafari = /Safari/.test(navigator.userAgent) && /Apple Computer/.test(navigator.vendor),

	loadCssHack = function(url, callback){
		var link = document.createElement('link');
		link.type = 'text/css';
		link.rel = 'stylesheet';
		link.href = url;

		document.getElementsByTagName('head')[0].appendChild(link);

		var img = document.createElement('img');
		img.onerror = function(){
			if (callback && typeof callback === "function") {
				callback();
			}
		};
		img.src = url;
	},
	loadRemote = function(url, type, callback) {
		if (type === "css" && isSafari) {
			loadCssHack(url, callback);
			return;
		}
		var _element, _type, _attr, scr, s, element;
		
		switch (type) {
		case 'css':
			_element = "link";
			_type = "text/css";
			_attr = "href";
			break;
		case 'js':
			_element = "script";
			_type = "text/javascript";
			_attr = "src";
			break;
		}
		
		scr = document.getElementsByTagName(_element);
		s = scr[scr.length - 1];
		element = document.createElement(_element);
		element.type = _type;
		if (type == "css") {
			element.rel = "stylesheet";
		}
		if (element.readyState) {
			element.onreadystatechange = function () {
				if (element.readyState == "loaded" || element.readyState == "complete") {
					element.onreadystatechange = null;
					if (callback && typeof callback === "function") {
						callback();
					}
				}
			};
		} else {
			element.onload = function () {
				if (callback && typeof callback === "function") {
					callback();
				}
			};
		}
		element[_attr] = url;
		s.parentNode.insertBefore(element, s.nextSibling);
	},
	loadScript = function (url, callback) {
		loadRemote(url, "js", callback);
	},
	loadCss = function (url, callback) {
		loadRemote(url, "css", callback);
	},
	loadScriptOrContinue = function (url, check, callback) {
		var result;
		if (typeof check === "function") {
			result = check.call(null);
		} else {
			result = check;
		}
		if (result) {
			loadScript(url, callback);
		} else if (typeof callback === "function") {
			callback.call(null);
		}
	},
	getSessionId = function () {
		return sessionStorage.getItem("session_id") == null ? "" : sessionStorage.getItem("session_id");
	},
	createSessionId = function () {
		if(getSessionId()=="") {
			sessionStorage.setItem("session_id", "<?php echo session_id(); ?>");
		}
	},
	options = {
		server: "<?php echo PJ_INSTALL_URL; ?>",
		folder: "<?php echo PJ_INSTALL_URL; ?>",
		theme: "<?php echo $theme;?>",
		index: <?php echo $index; ?>,
		hide: <?php echo isset($_GET['hide']) && (int) $_GET['hide'] === 1 ? 1 : 0; ?>,
		locale: <?php echo isset($_GET['locale']) && (int) $_GET['locale'] > 0 ? (int) $_GET['locale'] : $controller->pjActionGetLocale(); ?>,
		allowed_ext: "<?php echo strtolower($tpl['option_arr']['o_file_allowed'])?>",
		post_ticket: "<?php echo $tpl['option_arr']['o_post_ticket'];?>",
		is_logged: <?php echo $controller->checkLogin() == true ? 'true' : 'false';?>
	};
	<?php
	$dm = new pjDependencyManager(PJ_INSTALL_PATH, PJ_THIRD_PARTY_PATH);
	$dm->load(PJ_CONFIG_PATH . 'dependencies.php')->resolve();
	?>
	loadScript("<?php echo PJ_INSTALL_URL . $dm->getPath('storage_polyfill'); ?>storagePolyfill.min.js", function () {
		if (isSafari) {
			createSessionId();
			options.session_id = getSessionId();
		}else{
			options.session_id = "";
		}
		loadScriptOrContinue("<?php echo PJ_INSTALL_URL . $dm->getPath('pj_jquery'); ?>pjQuery.min.js", function () {
			if (typeof window.pjQ.$ === "undefined") {
				return true;
			}
			return false;
		}, function () {
			loadScriptOrContinue("<?php echo PJ_INSTALL_URL . $dm->getPath('pj_validate'); ?>pjQuery.validate.min.js", function () {
				if (typeof window.pjQ.$.fn.validate === "undefined") {
					return true;
				}
				return false;
			}, function () {
				loadScriptOrContinue("<?php echo PJ_INSTALL_URL . $dm->getPath('pj_validate'); ?>pjQuery.additional-methods.min.js", function () {
					if (typeof window.pjQ.$.validator.methods.alphanumeric === "undefined") {
						return true;
					}
					return false;
				}, function () {
					loadScriptOrContinue("<?php echo PJ_INSTALL_URL . $dm->getPath('pj_bootstrap'); ?>pjQuery.bootstrap.min.js", function () {
						if (typeof window.pjQ.$.fn.modal === "undefined") {
							return true;
						}
						return false;
					}, function () {
						loadScriptOrContinue("<?php echo PJ_INSTALL_URL . $dm->getPath('pj_form'); ?>pjQuery.form.min.js", function () {
							if (typeof window.pjQ.$.fn.ajaxSubmit === "undefined") {
								return true;
							}
							return false;
						}, function () {
							loadScriptOrContinue("<?php echo PJ_INSTALL_URL . PJ_JS_PATH; ?>pjTicketSupport.js", function () {
								if (typeof window.TicketSupport === "undefined") {
									return true;
								}
								return false;
							}, function () {
								TicketSupport_<?php echo $index; ?> = new TicketSupport(options);
							});
						});
					});
				});
			});
		});
	});
})();
</script>